:root {
    --bg-color: white;
    --text-color: black;
    --btn-bg-color: #009ef7;
    --input-bg-color: #f5f8fa;
    --input-focused-bg-color: #eef3f7;
    --input-text-color: #5e6278;
    --side-bar-width: 600px;
}

@media (prefers-color-scheme: dark) {
    :root {
        --bg-color: #1e1e2d;
        --text-color: white;
        --btn-bg-color: #009ef7;
        --input-bg-color: #1b1b29;
        --input-focused-bg-color: #1f1f2f;
        --input-text-color: #92929f;
    }
}

body {
    background-color: var(--bg-color);
    color: var(--text-color);
}

label {
    font-size: 13px;
}

.btn {
    background-color: var(--btn-bg-color);
    padding: 12px 0;
    border-radius: 12px;
}

.btn:disabled {
    background-color: var(--btn-bg-color);
}

.root {
    height: 100%;
    display: flex;
    flex-direction: row;
}

.side-container {
    display: flex;
    flex-direction: column;
    width: var(--side-bar-width);
    align-items: center;
    justify-content: center;
}

.quants-logo-container {
    flex: 0.67;
    margin: 80px 0 64px 0;
}

.quants-logo {
    width: 270px;
    aspect-ratio: 1.2;
    object-fit: contain;
    margin-left: -4px;
}

.sign-in-container {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    flex: 1.2;
    width: 58%;
}

.form-container {
    display: flex;
    flex-direction: column;
    align-self: stretch;
    margin-top: 36px;
    margin-bottom: 36px;
}

.form .error {
    color: red;
}

.form-label {
    margin-left: 2px;
    margin-bottom: 12px;
    font-size: 14px;
}

.form-control {
    background-color: var(--input-bg-color);
    border-color: var(--input-bg-color);
    color: var(--input-text-color);
    transition: color 0.2s ease;
    font-size: 14px;
}

.form-control.form-control-solid:focus {
    background-color: var(--input-focused-bg-color);
    border-color: var(--input-focused-bg-color);
    color: var(--input-text-color);
    transition: color 0.2s ease;
}

.login-button {
    margin-top: 36px;
    font-size: 14px;
    font-weight: 500;
}

.carousel-container {
    flex: 1;
}

.carousel {
    position: fixed;
    top: 0;
    bottom: 0;
    right: 0;
    left: var(--side-bar-width);
}

.carousel-image {
    height: 100vh;
    object-fit: cover;
    position: relative;
    opacity: 0.85;
    filter: grayscale(0.25);
}

.carousel-item {
    position: relative;
    background-color: #0e172e;
}

.carousel-text-container {
    position: absolute;
    bottom: 90px;
    left: 20px;
    right: 40px;
    text-align: right;
}

.carousel-text {
    font-size: 54px;
    font-weight: 700;
    font-family: Oswald, Inter, sans-serif;
    text-shadow: 3px 3px 12px #000000;
    color: white;
}

@media only screen and (max-width: 992px) {
    .side-container {
        flex: 1;
        align-items: center;
    }

    .sign-in-container {
        flex: 1;
        width: 400px;
    }

    .carousel-container {
        display: none;
    }
}

@media only screen and (max-width: 430px) {
    .side-container {
        flex: 1;
        align-items: center;
    }

    .sign-in-container {
        flex: 1;
        width: auto;
    }

    .carousel-container {
        display: none;
    }
    .quants-logo {
        width: 190px;
    }
}
